metadata:
  id: lndhub
  name:
    en: LNDHub.go
  version: 0.1.0+lndhub
  displayVersion: 0.9.0
  category:
    en: Wallet Servers
  tagline:
    en: Give access to BlueWallet & Alby for friends
  developers:
    Alby: https://getalby.com
  description:
    en: "Run BlueWallet & Alby in the most private and secure way possible by removing 3rd parties and connecting it directly to your Citadel's Lightning node.\n\nThis app automatically manages accounts, so you can easily share your node with friends and family. "
  dependencies:
  - lnd
  - tor
  - tor
  basePermissions:
  - bitcoin/access-rpc
  - bitcoin/access-zmq
  - builtin/network/cluster-egress
  - builtin/network/local-net
  - builtin/root
  - lnd/access-grpc
  - lnd/access-rest
  - tor/proxy-requests
  hasPermissions:
  - bitcoin/access-rpc
  - bitcoin/access-zmq
  - builtin/network/cluster-egress
  - builtin/network/local-net
  - builtin/root
  - lnd/access-grpc
  - lnd/access-rest
  - tor/proxy-requests
  exposesPermissions: []
  repos:
    Public: https://github.com/getAlby/lndhub.go
  support: https://t.me/getalby
  gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  icon: https://runcitadel.github.io/old-apps-gallery/lndhub/icon.svg
  defaultPassword: null
  license: ''
  volumes: {}
  ports: []
  exportedData:
    bitcoin:
      info:
        rpc_accounts:
        - name: main
  runtime: AppYml
  allowedScopes:
  - User
  defaultScope: User
  storePlugins: []
  uiModule: null
  supportsIngress: true
  canBeProtected: true
  saasCompatibility: Unknown
  rawIngress: false
  postInstallRedirect: null
  components: []
  isCitadel: true
  preloadType: null
containers:
  main: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint:
      - /entry.sh
      environment:
        DATABASE_URI: !StringLike postgresql://citadel:freedom@postgres.lndhub.admin.nirvati:5432/lndhub?sslmode=disable
        JWT_SECRET: !StringLike 66c0ea6252f52bcb710b0aafe6892ba11262e95a0e8c4c2e2d0a4d48543d93e1
        LND_ADDRESS: !StringLike service.lnd.admin.nirvati:10009
      hostname: null
      image: ghcr.io/runcitadel/lndhub.go:main@sha256:ab0eb387a731d0ff067dc04075aebeeda6b967473499f01adcc26d0942d7c0aa
      privileged: false
      restart: null
      stop_grace_period: null
      uid: 1000
      gid: 1000
      volumes:
      - !Host
        name: home-citadel-citadel-app-data-lndhub-entry-sh
        host_path: /home/citadel/citadel/app-data/lndhub/entry.sh
        mount_path: /entry.sh
        is_readonly: false
      - !Host
        name: home-citadel-citadel-app-data-lnd-lnd
        host_path: /home/citadel/citadel/app-data/lnd/lnd
        mount_path: /lnd
        is_readonly: false
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: citadel
    middlewares: {}
  postgres: !Deployment
    container:
      cap_add: []
      cap_drop: []
      command: null
      entrypoint: null
      environment:
        POSTGRES_DB: !StringLike lndhub
        POSTGRES_PASSWORD: !StringLike freedom
        POSTGRES_USER: !StringLike citadel
      hostname: null
      image: postgres:14.4-bullseye
      privileged: false
      restart: null
      stop_grace_period: null
      uid: 1000
      gid: 1000
      volumes:
      - !Host
        name: home-citadel-citadel-app-data-lndhub-data-postgres
        host_path: /home/citadel/citadel/app-data/lndhub/data/postgres
        mount_path: /var/lib/postgresql/data
        is_readonly: false
      working_dir: null
      shm_size: null
      ulimits: null
      host_network: false
      exposes:
        udp: []
        tcp: []
      fs_group: null
      service_account: null
      network_policy: null
      has_permissions: []
      additional_labels:
        uses-compat-layer: citadel
    middlewares: {}
services:
  main:
    target_container: main
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
  postgres:
    target_container: postgres
    type: ClusterIp
    ports:
      udp: {}
      tcp: {}
    cluster_ip: None
    network_policy: null
ingress:
- target_service: main
  target_ns: null
  target_app: null
  path_prefix: null
  target_port: 3000
  type: Https
  enable_compression: true
  strip_prefix: false
  auth_exclude: false
  component: null
plugins: {}
secrets: []
custom_resources:
- app: tor
  plugin_id: onion-service
  definition:
    app-lndhub:
      target_svc: main
      target_ns: null
      ports:
        80:
          target_svc: host-docker-internal
          target_ns: null
          target_port: 3000
      insecure_single_hop: null
      store_name_in_secret:
        key: name
        name: onion-svc-app-lndhub-name
app_network_policy:
  ingress:
    allow_world:
      allow: true
      allowed_ports: null
    allow_cluster:
      allow: false
      allowed_ports: null
    allow_same_ns:
      allow: true
      allowed_ports: null
    cidrs: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: citadel
      allowed_ports: null
      all_namespaces: true
  egress:
    allow_cluster: false
    allow_same_ns: true
    allow_kube_api: false
    allow_world: true
    allow_local_net: true
    dns: null
    fqdns: []
    cidrs: []
    services: []
    pods:
    - namespace: null
      app: null
      match_labels:
        uses-compat-layer: citadel
      allowed_ports: null
      all_namespaces: true
other: []
